# `kailo-beewell-dashboard`: tools to support creation of #BeeWell survey dashboards for the Kailo project.

[![PyPI package](https://img.shields.io/badge/PyPI_package-0.3.4-2596be.svg)](https://pypi.org/project/kailo-beewell-dashboard/0.3.4/)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![ORCID: Amy Heather](https://img.shields.io/badge/ORCID_Amy_Heather-0000--0002--6596--3479-brightgreen)](https://orcid.org/0000-0002-6596-3479)

This package contains functions that are used in the creation of the various #BeeWell survey dashboards for Kailo. They have been compiled into a single package to prevent code duplication between the different repositories.

**Package on PyPI:** https://pypi.org/project/kailo-beewell-dashboard/

**Package documentation:** http://kailo-beewell-dashboard.readthedocs.io/

## Features

1. Functions used to generate and aggregate synthetic data
2. Functions used in creation of the streamlit dashboards and equivalent PDF report

## How to install?

`pip install kailo-beewell-dashboard`

## Citation

If you use this package, please include the following citation

> Heather, Amy. Clelland, Annalise. and Goddard, Ellen. (2024). kailo-beewell-dashboard: tools to support creation of #BeeWell survey dashboards for the Kailo project (0.3.4). https://pypi.org/project/kailo-beewell-dashboard/.

```tex
@software{kailo-beewell-dashboard,
  author = {Heather, Amy. Clelland, Annalise. and Goddard, Ellen.},
  title = {kailo-beewell-dashboard},
  date = {2024-04-25},
  version = {0.3.4},
  publisher = {PyPI},
  url = {https://pypi.org/project/kailo-beewell-dashboard/}
}
```