'''
Dictionaries with names and descriptions used for each of the survey topics
'''

topic_name_dict = {
    'autonomy_score': 'Autonomy',
    'life_satisfaction_score': 'Life satisfaction',
    'optimism_score': 'Optimism',
    'wellbeing_score': 'Psychological wellbeing',
    'esteem_score': 'Self-esteem',
    'stress_score': 'Stress and coping',
    'appearance_score': 'Feelings around appearance',
    'negative_score': 'Negative affect',
    'lonely_score': 'Loneliness',
    'support_score': 'Supporting own wellbeing',
    'sleep_score': 'Sleep',
    'physical_score': 'Physical activity',
    'free_like_score': 'Free time',
    'media_score': 'Social media use',
    'places_score': 'Places to go and things to do',
    'talk_score': 'Talking about feelings',
    'accept_score': 'Acceptance',
    'school_belong_score': 'School connection',
    'staff_relationship_score': 'Support from staff',
    'home_relationship_score': 'Support from parents/carers',
    'home_happy_score': 'Home environment',
    'local_env_score': 'Local environment',
    'discrim_score': 'Discrimination',
    'belong_local_score': 'Local connection',
    'wealth_score': 'Relative wealth',
    'future_score': 'Future opportunities',
    'climate_score': 'Climate change',
    'social_score': 'Support from friends',
    'bully_score': 'Bullying'
}

topic_description_dict = {
    'autonomy_score': '''
How 'in control' young people feel of their life''',
    'life_satisfaction_score': '''
How satisfied young people feel with their life''',
    'optimism_score': '''
Young people's hopefulness and confidence for the future''',
    'wellbeing_score': '''
How positive and generally happy young people feel regarding their life''',
    'esteem_score': '''
How much young people value themselves''',
    'stress_score': '''
Managing stress levels and coping with difficulties''',
    'appearance_score': '''
Young people's feelings around the way that they look''',
    'negative_score': '''
The frequency with which young people experience emotional difficulties''',
    'lonely_score': '''
How often young people feel lonely''',
    'support_score': '''
Young people's knowledge on supporting themselves and looking for advice''',
    'sleep_score': '''
How much sleep young people get''',
    'physical_score': '''
How physically active young people are''',
    'free_like_score': '''
How often young people can do things that they like in their free time''',
    'media_score': '''
How much time young people spend on social media''',
    'places_score': '''
Whether young people feel there are places to go and things to do in their
free time''',
    'talk_score': '''
How positively/negatively young people feel about talking with others about
feeling down''',
    'accept_score': '''
Whether young people feel accepted by different groups of people in their
life''',
    'school_belong_score': '''
Feelings of belonging at school''',
    'staff_relationship_score': '''
The support received from adults at school''',
    'home_relationship_score': '''
The support received from adults at home''',
    'home_happy_score': '''
Young people's feelings regarding the home that they live in''',
    'local_env_score': '''
How young people feel regarding the area where they live''',
    'discrim_score': '''
Whether young people feel discriminated against''',
    'belong_local_score': '''
Young people's feelings of belonging in their local area''',
    'wealth_score': '''
Whether young people feel their family is richer, poorer or the same as their
friends''',
    'future_score': '''
How young people feel regarding the future options for work, education or
training in their local area''',
    'climate_score': '''
Worries regarding climate change''',
    'social_score': '''
The support young people receive from their peers''',
    'bully_score': '''
The frequency with which young people experience different types of bullying'''
}
